Subject: bug#39082: Inconsolata v3.000 has too wide spacing

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jan 2020 18:56:08 +0200

> Date: Sun, 12 Jan 2020 17:37:58 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Sadly, I have no idea how to go about investigating this problem
> further, maybe someone else does?

One idea is to look at the character glyph metric we get from the font
here:

  if (it->what == IT_CHARACTER)
    {
      unsigned char2b;
      struct face *face = FACE_FROM_ID (it->f, it->face_id);
      struct font *font = face->font;
      struct font_metrics *pcm = NULL;
      int boff;			/* Baseline offset.  */
    [...]
	  if (get_char_glyph_code (it->char_to_display, font, &char2b))
	    {
	      pcm = get_per_char_metric (font, &char2b);
	      if (pcm->width == 0
		  && pcm->rbearing == 0 && pcm->lbearing == 0)
		pcm = NULL;
	    }

(this is from xdisp.c), and then find the culprit, probably
pcm->width, and go back to where we get these values from the font
back-end.

I cannot myself do this, as I don't have access to a system where this
problem happens.